
DATADIR=..\data
SRCDIR=..\src
MISCDIR=..\misc
MAKEBOOK=..\win32\toolsrel\makebook

book16.dll: dllent16.obj $(SRCDIR)\book.def book16.res $(DATADIR)\bookb $(DATADIR)\bookw
	LINK /NOD /ALIGN:16 dllent16,book16.dll,NUL,libw+oldnames+ldllcew,$(SRCDIR)\book
 	RC -t book16.res book16.dll

dllent16.obj: $(SRCDIR)\dllent16.c
	CL /Gs /c /GD /AL /O /D"_WINDOWS" /D"_WINDLL" /Fodllent16.obj $(SRCDIR)\dllent16.c

book16.res: $(SRCDIR)\book.rc $(DATADIR)\bookb $(DATADIR)\bookw
	cd ..\src
	RC -r -x -I$(DATADIR) /Fo..\win16\book16.res book.rc
	cd ..\win16

$(DATADIR)\bookb: $(MISCDIR)\book.txt
	$(MAKEBOOK) $(MISCDIR)\book.txt
	del $(DATADIR)\bookb
	del $(DATADIR)\bookw
	move bookb $(DATADIR)
	move bookw $(DATADIR)

clean:
	del $(DATADIR)\bookb
	del $(DATADIR)\bookw
	del dllent16.obj
	del book16.exp
	del book16.lib

